Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Veröffentlichte Skizze Einfügen über VB.Net

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Veröffentlichte Skizze Einfügen über VB.Net (138 mal gelesen)
Sm1leX
Mitglied
Maschinenbau (B.Eng)


Sehen Sie sich das Profil von Sm1leX an!   Senden Sie eine Private Message an Sm1leX  Schreiben Sie einen Gästebucheintrag für Sm1leX

Beiträge: 16
Registriert: 13.09.2018

Win 7 64-bit
Intel Xeon E5-1620
CATIA V5 R26
Solidworks

erstellt am: 27. Nov. 2018 08:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


3.jpg

 
Hallo Freunde,
ich habe ein Problem beim einfügen einer Veröffentlichten Skizze.

Vorgehensweise:
- Ich habe eine Skizze veröffentlicht.
- Möchte dann die Veröffentlichung kopieren
- Anschließend in ein Part mit Pastespecial As Result einfügen.

Dieser Ablauf funktioniert für ganze Parts, GeoSets etc. problemlos. Erst jetzt, wo ich das mit einer Skizze machen möchte kommt folgende Fehlermeldung:

Hier der entsprechende Code:

Code:
Dim CATIA As Object
        CATIA = GetObject(, "CATIA.Application")

        Dim documents1 As Documents
        documents1 = CATIA.Documents

        Dim partDocument1 As PartDocument
        partDocument1 = documents1.Item("P0000_10000_001_FWZ_Steuerpart.CATPart")

        Dim product1 As Product
        product1 = partDocument1.GetItem("P0000_10000_001_FWZ_Steuerpart")
       
        Dim productDocument1 As ProductDocument
        productDocument1 = CATIA.ActiveDocument

        Dim selection1 As Selection
        selection1 = productDocument1.Selection

        selection1.Clear()

        Dim part1 As Part
        part1 = partDocument1.Part

        Dim hybridBodies1 As HybridBodies
        hybridBodies1 = part1.HybridBodies

        Dim hybridBody1 As HybridBody
        hybridBody1 = hybridBodies1.Item("Positionierung")

        Dim hybridBodies2 As HybridBodies
        hybridBodies2 = hybridBody1.HybridBodies

        Dim hybridBody2 As HybridBody
        hybridBody2 = hybridBodies2.Item("Transportsicherungen_Y")

        Dim sketches1 As Sketches
        sketches1 = hybridBody2.HybridSketches

        Dim sketch1 As Sketch
        sketch1 = sketches1.Item("Skizze.Punkte_Transportsicherungen_UT_Y")

        selection1.Add(sketch1)

        selection1.Copy()

        Dim product2 As Product
        product2 = productDocument1.Product

        Dim products1 As Products
        products1 = product2.Products

        Dim product3 As Product
        product3 = products1.Item("P0000_10000_300_FWZ_UT_ZSB.2")

        Dim products2 As Products
        products2 = product3.Products

        Dim product4 As Product

        product4 = products2.Item("P0000_10000_001_FWZ_Steuerpart.1")

        Dim partDocument2 As PartDocument
        partDocument2 = documents1.Item("P0000_10000_310_FWZ_UT.CATPart")

        Dim part2 As Part
        part2 = partDocument2.Part

        selection1.Add(part2)

        selection1.PasteSpecial("CATPrtResult")

        part2.Update()


Für jegliche Hilfestellungen wäre ich sehr dankbar!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10281
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 27. Nov. 2018 09:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sm1leX 10 Unities + Antwort hilfreich

Servus

Versuch mal vor dem Einfügen ein GeoSet oder ein Körper zu wählen in den die Skizze eingefügt werden soll.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sm1leX
Mitglied
Maschinenbau (B.Eng)


Sehen Sie sich das Profil von Sm1leX an!   Senden Sie eine Private Message an Sm1leX  Schreiben Sie einen Gästebucheintrag für Sm1leX

Beiträge: 16
Registriert: 13.09.2018

Win 7 64-bit
Intel Xeon E5-1620
CATIA V5 R26
Solidworks

erstellt am: 27. Nov. 2018 09:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


14.jpg

 
Egal ob Set oder Part, dann kommt das:

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sm1leX
Mitglied
Maschinenbau (B.Eng)


Sehen Sie sich das Profil von Sm1leX an!   Senden Sie eine Private Message an Sm1leX  Schreiben Sie einen Gästebucheintrag für Sm1leX

Beiträge: 16
Registriert: 13.09.2018

Win 7 64-bit
Intel Xeon E5-1620
CATIA V5 R26
Solidworks

erstellt am: 27. Nov. 2018 09:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


14.jpg

 
.

[Diese Nachricht wurde von Sm1leX am 27. Nov. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10281
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 27. Nov. 2018 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sm1leX 10 Unities + Antwort hilfreich

Servus

Welches Dokument ist denn aktiv?
Sind Quell- und Zielpart in der gleichen Baugruppe verbaut?
Schon mal diesen Code angeschaut. Ist etwas übersichtlicher als deiner. (GetItem würde ich nur im Notfall nutzen)

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sm1leX
Mitglied
Maschinenbau (B.Eng)


Sehen Sie sich das Profil von Sm1leX an!   Senden Sie eine Private Message an Sm1leX  Schreiben Sie einen Gästebucheintrag für Sm1leX

Beiträge: 16
Registriert: 13.09.2018

Win 7 64-bit
Intel Xeon E5-1620
CATIA V5 R26
Solidworks

erstellt am: 27. Nov. 2018 10:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Aktiv ist ursprünglich immer das Product. Dann greife ich auf die einzelnen Parts zu.

Aktuell habe ich
-Part1
--Skizze1
--Veröffentlichungen
---Skizze1
-Part2
--Veröffenltichungen
---Skizze1


Ich möchte dann die Veröffentlichte Skizze in das Part2 kopieren.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10281
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 27. Nov. 2018 10:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sm1leX 10 Unities + Antwort hilfreich

Servus

Dieser (CATScript) Code läuft bei mir.
Bei dir auch? (aus 1. GeoSet des 1. Products, in das 1. GeoSet des 2. Products)

Code:
Sub CATMain()

    Dim oActiveDoc As ProductDocument
    Set oActiveDoc = CATIA.ActiveDocument
  
    Dim oPart1Doc As PartDocument
    Dim oPart2Doc As PartDocument
    Set oPart1Doc = oActiveDoc.Product.Products.Item(1).ReferenceProduct.Parent
    Set oPart2Doc = oActiveDoc.Product.Products.Item(2).ReferenceProduct.Parent
  
    Dim oCopyObject As Sketch
    Dim oPasteObject As HybridBody
    Set oCopyObject = oPart1Doc.Part.HybridBodies.Item(1).HybridSketches.Item(1)
    Set oPasteObject = oPart2Doc.Part.HybridBodies.Item(1)
  
    oActiveDoc.Selection.Clear
    oActiveDoc.Selection.Add oCopyObject
    oActiveDoc.Selection.Copy
    oActiveDoc.Selection.Clear
    oActiveDoc.Selection.Add oPasteObject
    oActiveDoc.Selection.PasteSpecial "CATPrtResult"
  
    oPart2Doc.Part.Update

End Sub


Was mich bei dir wundert, dass schon bei Copy der Fehler kommt? (prüfen ob was selektiert wurde)

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sm1leX
Mitglied
Maschinenbau (B.Eng)


Sehen Sie sich das Profil von Sm1leX an!   Senden Sie eine Private Message an Sm1leX  Schreiben Sie einen Gästebucheintrag für Sm1leX

Beiträge: 16
Registriert: 13.09.2018

Win 7 64-bit
Intel Xeon E5-1620
CATIA V5 R26
Solidworks

erstellt am: 27. Nov. 2018 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Problem gelöst: Nach selection1.copy() muss ein selection1.clear() folgen. Das hat bei mir gefehlt. Trotzdem vielen dank für die Hilfe!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz